{ rustPlatform, fetchFromGitHub, lib, ninja, dbus, pkg-config }:
rustPlatform.buildRustPackage rec {
  pname = "ianny";
  version = "2.0.0";
  src = fetchFromGitHub {
    owner = "zefr0x";
    repo = pname;
    rev = "v2.0.0";
    hash = "sha256-F8Uc2BsQ5f7yaUXXDhLvyyYKUDAuvP9cCR2h3vblr0g=";
  };
  cargoHash = "sha256-QqdcOftbVt/yNzmvvy6AI66oTZvTgWHfY3Q/ikWGaLM=";
  buildInputs = [
    dbus
    ninja
  ];
  nativeBuildInputs = [
    pkg-config
  ];

  meta = with lib; {
    description = "Wayland break timer";
    license = licenses.gpl3;
    platforms = platforms.linux;
    maintainers = with maintainers; [ therealr5 ];
  };
}
