{ lib, buildGoModule, fetchFromGitHub }:
buildGoModule rec {
  pname = "ssh3";
  version = "0.1.7";

  src = fetchFromGitHub {
    owner = "francoismichel";
    repo = "ssh3";
    rev = "v${version}";
    hash = "sha256-ZtQAJwGvNlJWUoDa6bS3AEdM3zbNMPQGdaIhR+yIonw=";
  };

  subPackages = [ "cmd/ssh3" ];

  vendorHash = "sha256-VUNvb7m1nnH+mXUsnIKyPKJEVSMXBAaS4ihi5DZeFiI=";

  meta = with lib; {
    description = "Faster and rich secure shell using HTTP/3";
    homepage = "https://github.com/francoismichel/ssh3";
    license = licenses.asl20;
    maintainers = with maintainers; [ therealr5 ];
    mainProgram = "ssh3";
    platforms = platforms.all;
  };
}
